Name:           coreutils-compat
Version:        1.0
Release:        1%{?dist}
Summary:        Compatibility provides for coreutils

License:        GPLv3+

BuildArch:      noarch
Requires:       coreutils

# Removed in e9599c8226f2b56f4f4e9c69d6159135eea65f91 in the coreutils dist-git
Provides: /bin/basename
Provides: /bin/cat
Provides: /bin/chgrp
Provides: /bin/chmod
Provides: /bin/chown
Provides: /bin/cp
Provides: /bin/cut
Provides: /bin/date
Provides: /bin/dd
Provides: /bin/df
Provides: /bin/echo
Provides: /bin/env
Provides: /bin/false
Provides: /bin/ln
Provides: /bin/ls
Provides: /bin/mkdir
Provides: /bin/mknod
Provides: /bin/mktemp
Provides: /bin/mv
Provides: /bin/nice
Provides: /bin/pwd
Provides: /bin/readlink
Provides: /bin/rm
Provides: /bin/rmdir
Provides: /bin/sleep
Provides: /bin/sort
Provides: /bin/stty
Provides: /bin/sync
Provides: /bin/touch
Provides: /bin/true
Provides: /bin/uname

%description
Compatibility provides for coreutils

This package restores the /bin/* Provides for pre-UsrMove compatibility. This
way packages depending on, e.g., /bin/basename, will continue to work. The
/bin/* Provides metadata was removed from Fedora in coreutils-8.29-5, breaking
third party packages.

This package contains no data, only metadata to restore the Provides and a
requirement on the actual coreutils package.


%prep
# Nothing to prep


%build
# Nothing to build

%install
# Nothing to install


%files

%changelog
* Wed Nov 28 2018 David Shea <dshea@redhat.com> - 1.0-1
- Initial package
